> ## Documentation Index
> Fetch the complete documentation index at: https://sirjosh.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Rating

> This endpoint rate a movie and save it to your rated list.



## OpenAPI

````yaml api-reference/openapi3.json post /3/movie/{movie_id}/rating
openapi: 3.0.3
info:
  title: The Movie Database
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: AUTHENTICATION
  - name: ACCOUNT
  - name: CERTIFICATIONS
  - name: CHANGES
  - name: COLLECTIONS
  - name: COMPANY
  - name: CONFIGURATION
  - name: CREDIT
  - name: DISCOVER
  - name: FIND
  - name: GENRES
  - name: GUEST SESSIONS
  - name: KEYWORDS
  - name: LISTS
  - name: MOVIE LISTS
  - name: MOVIES
  - name: NETWORKS
  - name: PEOPLE LIST
  - name: PEOPLE
  - name: REVIEWS
  - name: SEARCH
  - name: TRENDING
  - name: TV SERIES LIST
  - name: TV SERIES
  - name: TV SEASONS
  - name: TV EPISODES
  - name: TV EPISODE GROUP
  - name: WATCH PROVIDERS
paths:
  /3/movie/{movie_id}/rating:
    post:
      tags:
        - MOVIES
      summary: Add Rating
      description: This endpoint rate a movie and save it to your rated list.
      operationId: addRating
      parameters:
        - $ref: '#/components/parameters/guest_session_id'
        - $ref: '#/components/parameters/session_id'
        - $ref: '#/components/parameters/movie_id'
        - name: content_type
          in: header
          description: >-
            Indicates the media type of the resource being sent. It specifies
            the format of the data being sent in the request body (e.g.,
            application/json;charset=utf-8).
          schema:
            type: string
            example: application/json;charset=utf-8
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                value:
                  type: number
                  example: 8.5
                  description: The rating score for the movie.
            examples:
              Add Rating:
                value:
                  value: 8.5
      responses:
        '201':
          description: add rating
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '60'
            Date:
              schema:
                type: string
                example: Fri, 03 Jan 2025 23:44:56 GMT
            Server:
              schema:
                type: string
                example: openresty
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 ffa4b37ccdc94a8c62bf6b6414725210.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: Lpb42MglOHHZ8O-Fz4yAnOUpOW_szeBx_Cb-GiFF-AX8ur1hB_7wbw==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            cache-control:
              schema:
                type: string
                example: public, max-age=0
            etag:
              schema:
                type: string
                example: W/"4543905c5703940a323f39bb4fdcba82"
            vary:
              schema:
                type: string
                example: accept-encoding
          content:
            application/json:
              schema:
                type: object
                properties:
                  status_code:
                    type: number
                    example: 1
                  status_message:
                    type: string
                    example: Success.
                  success:
                    type: boolean
                    example: true
              examples:
                add rating:
                  value:
                    status_code: 1
                    status_message: Success.
                    success: true
components:
  parameters:
    guest_session_id:
      name: guest_session_id
      in: path
      required: true
      description: >-
        It represents a unique identifier for a session that is created for a
        guest user.
      schema:
        type: string
        example: ''
    session_id:
      name: session_id
      in: query
      description: >-
        A token that represents a logged-in user's session after they have
        authenticated with their TMDB account.
      schema:
        type: string
        example: ''
    movie_id:
      name: movie_id
      in: path
      required: true
      description: This is a unique identifier for a movie.
      schema:
        type: integer
        example: ''
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````